Subject: Re: [Gen-art] Gen-ART Review of draft-watson-fecframe-raptor-10

From: Thomas Stockhammer <[email-masked]>
Date: Wed, 4 Apr 2012 20:27:21 +0200

Kathleen,

thanks! I have updated the draft accordingly.
I am waiting for direction from your document shepherd or AD before posting a new version of the draft.

Thomas

On Mar 19, 2012, at 3:42 AM, <[email-masked]> <[email-masked]> wrote:

> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> < http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Please wait for direction from your document shepherd
> or AD before posting a new version of the draft.
> 
> Document: draft-watson-fecframe-raptor<https://datatracker.ietf.org/doc/draft-watson-fecframe-raptor/>-10
> Reviewer: Kathleen Moriarty
> Review Date: 3/18/12
> IETF LC End Date:
> IESG Telechat date: (if known)
> 
> Summary:  There are minor nits that should be resolved.
>   This document describes Fully-Specified Forward Error Correction
>   (FEC) Schemes for the Raptor and RaptorQ codes and their application
>   to reliable delivery of media streams in the context of FEC
>   Framework.
> 
> 
> Major issues:
> 
> Minor issues:
> 
> Nits/editorial comments:
> Introduction:  Consider changing the first sentence to introduce the acronym FEC:
> The FEC Framework [RFC6363] describes a general framework for the use
>   of Forward Error Correction in association with arbitrary packet flows.
> TO: The Forward Error Correction (FEC) Framework [RFC6363] describes a general framework for the use
>   of FEC in association with arbitrary packet flows.
> 
> Second paragraph:  Consider reducing the number of transition phrases:
> From:  The FEC protection mechanism is independent of the type of the source
>   data, which can be an arbitrary sequence of packets, including for
>   example audio or video data.
> To: The FEC protection mechanism is independent of the type of the source
>   data, which can be an arbitrary sequence of packets, for
>   example audio or video data.
> Third bullet: define RTP
> 
> Section 2, second and third bullets,  Add a space after 'Section 6'
> 
> Section 4.2, add a colon after MSBL
> 
> Section 6.2.1.2:  There appears to be two spaces after MSBL in the second paragraph
> 
> Section 6.2.2:  There is a  '.' Out of place before Figure 2
> In the paragraph after both figure 2 and 3, the trailing 'to' at the end of the sentence isn't necessary.
> 
> Section 6.2.3:
> In the paragraph after both figure 4 and 5, the trailing 'to' at the end of the sentence isn't necessary.
> 
> Section 7.4:  Consider breaking the second sentence into multiple sentences.
> 
> Second paragraph, second sentence, consider using commas instead of dashes:
> The
>   MSBL parameter, and hence the number of symbols used in the FEC
>   Encoding and Decoding operations, SHALL be set to one of the
>   following values:
> 
> 
> 
> 

---
Dr. Thomas Stockhammer (CEO) || [email-masked] || phone +49 89 978980 02 || cell +491725702667 || http://www.nomor-research.com
Nomor Research GmbH  -  Sitz der Gesellschaft: München - Registergericht: München, HRB 165856 – Umsatzsteuer-ID: DE238047637 - Geschäftsführer: Dr. Thomas Stockhammer, Dr. Ingo Viering.